import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

public class FontTest extends Jlet
{
	protected void startApp(String args[]){
		Display dis = Display.getDefaultDisplay();
		dis.pushCard(new SampleCard());
        }
	protected void destroyApp(boolean b){
	}
};

class SampleCard extends Card
{
	private int [] Styles = { Font.STYLE_PLAIN,
							  Font.STYLE_UNDERLINED,
							  Font.STYLE_BOLD,
							  Font.STYLE_BOLD | Font.STYLE_UNDERLINED,
							  Font.STYLE_ITALIC,
							  Font.STYLE_ITALIC | Font.STYLE_UNDERLINED,
							  Font.STYLE_BOLD | Font.STYLE_ITALIC,
							  Font.STYLE_BOLD | Font.STYLE_ITALIC | Font.STYLE_UNDERLINED };

	private int [] size = { Font.SIZE_SMALL, Font.SIZE_LARGE, Font.SIZE_MEDIUM };

	public void paint(Graphics g)
	{
		int x = 0;
		int y = 0;
		
		for (int j=0; j<2; j++)
		{
			for (int i=0;i<Styles.length;i++)
			{
				g.setFont(Font.getFont(Font.FACE_SYSTEM,Styles[i],size[j]));
				g.drawString("°¡³ªABC",x,y,Graphics.TOP);

				if (x==0) x=60;
				else { x = 0; y+=15; };
			}

			y += 20;
		}
	}
};


